Support Anfrage:

| would like to make an ADTF3 project, but have a few questions about the paths. Currently | do the following:

1. My plugins and plugin description files (release and debug as well) are in a folder plugins and plugins/debug respectively.

2. | set an environment variable to this folder from a batch file and | start Configuration Editor from here.

| also load a .cesettings file with CE to extend the Plugins path with my environment variable to find my plugins.

3. CE finds my plugins in the Component window.

4. But if | would like to add a new plugin to my graph, or click Autofill from config all the paths for the plugins will be extended to the
absolute paths on my computer without any use of the variable.

It is also a case if | define an Environment variable with my batch file variable in CE in the System Editor Window.

My question:

What would be the correct settings for CE to find my plugins with the provided environment variable, or something similar.

The problem is that currently | have to manually change the paths for my added plugins in the graph in the adtfsystem file to my
environment variable.

But when | do that, the Launcher finds them and is running without a problem, but when I try to open the project with CE again, it
does not find the plugins with the replaced environment variable.

This way unfortunately if | try to drag and drop the project to another computer, | can run it with the Launcher, but cannot open it with
CE, because it cannot find my plugins defined with environment variables in the graph file. | have to click remove all and autofill from
config to make CE find my plugins, but than it replaces my environment variables with absolute paths on my computer, so it is not
drag and droppable to another computer anymore.

Is there a way to make my project drag and droppable to another computer and be able to edit it with CE as well?

Lésung:

please have a look to our Guides for the Configuration Editor and look for the info about environment variable in the area System
Editor

You can use OS environment variables within your ADTF environment variables as shown in the guides. But you have to define
these OS variables once in the ADTF variables.

Step 1 - define or check the OS environment variables.

Step 2 - define the ADTF environment variables (with use of the OS environment variables). (these will be saved in the .adtfsystem
file of the project)

Step 3 - define or check the Plugins path in the "Options" settings for the Plugins settings (.cesettings file).

History

#1 - 2019-02-07 12:38 - hidden
- Project changed from Public Support to 5
- Status changed from New to Customer Feedback Required

- Topic set to ADTF::CE
please have a look to our Guides for the Configuration Editor and look for the info about environment variable in the area System Editor
You can use OS environment variables within your ADTF environment variables as shown in the guides. But you have to define these OS variables
once in the ADTF variables.

Step 1 - define or check the OS environment variables.

Step 2 - define the ADTF environment variables (with use of the OS environment variables). (these will be saved in the .adtfsystem file of the project)
Step 3 - define or check the Plugins path in the "Options" settings for the Plugins settings (.cesettings file).

We have also testes these steps with our own (custom) OS environment variables here and it worked.

With these steps we did not have any problems with paths for the plugins that will be extended to the absolute paths instead of using the environment
variable.
Please let us know if this helps you or solves your problem.

Regards
Matthias

#2 - 2019-02-08 09:33 - hidden
Hi Matthias,

| created a new project and tried again, this time it worked.
Something must have gone wrong with the old project files.

Thank you for your help!

#3 - 2019-02-08 09:46 - hidden

- Subject changed from Configuration Editor path for plugins to Use of Environment variables and paths for plugins in ADTF 3.x
- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Resolution set to Solved Issue

Hi Gergo,

you are welcome.
We will close the support ticket.

Is it ok for you if we set the ticket to public status?
Regards Matthias

#4 - 2019-02-08 09:47 - hidden

Hi Matthias,

yes, no problem.

#5 - 2019-02-08 09:51 - hidden

- Private changed from Yes to No

#6 - 2019-04-03 09:39 - hidden
- Project changed from 5 to Public Support

- Subject changed from Use of Environment variables and paths for plugins in ADTF 3.x to Use of environment variables and paths for plugins in
ADTF 3.x

- Status changed from To Be Closed to Closed
